The Glamorgan County Silver Ball Trophy (also known as the Glamorgan County Silver Ball Trophy) is a Welsh rugby union competition open to all non-premier Welsh Rugby Union (WRU) clubs playing in the Glamorgan area.

History The Silver Ball competition was suggested by Glamorgan County president Glan Williams in 1955. The first tournament took place in 1956 when J. Norman Hunt volunteered to meet the costs. It was open to all 64 WRU clubs in the Glamorgan region. The Silver Ball Trophy was made by Birmingham-based trophy maker Thomas Fattorini Ltd and cost £100 to produce. The idea was to match eight junior teams against the county's eight first class sides, but a poor response from the senior teams resulted in the Welsh Academicals being drafted in to make a realistic quarter finals.

The tournament also produces the SA Brains trophy which is awarded to the team to have scored the most tries during the buildup to the final. This team is then invited to play the Silver Ball winners in a pre-season friendly for the President's Cup.

The trophy is sponsored by Chemical Corporation since season 2019/20.

Silver Ball Trophy finals Season Winners Losing Finalists Score Venue 1956–57 Taibach RFC Skewen RFC 9–3 The Gnoll, Neath1957–58 Welsh Academicals RFC Seven Sisters RFC 8–6 Talbot Athletic Ground Aberavon 1958–59 Maesteg Celtic RFC Bargoed RFC 6–3 The Gnoll, Neath 1959–60 Seven Sisters RFC Maesteg Celtic RFC 6–5 The Gnoll, Neath 1960–61 Glynneath RFC Bargoed RFC 12–0 Brewery Field, Bridgend 1961–62 Glynneath RFCResolven RFC11–0 The Gnoll, Neath 1962–63 Glynneath RFC Cwmgwrach RFC 6–5 The Gnoll, Neath 1963–64 Llantwit Major RFC Taibach RFC 3–0 Brewery Field, Bridgend 1964–65 Llantwit Major RFC Kenfig Hill RFC 3–0 Brewery Field, Bridgend 1965–66 Cwmgwrach RFC Senghenydd RFC 6–3 The Gnoll, Neath 1966–67Davies (1975) p.154 Cardiff Athletic RFC Aberavon Quins RFC 27–0 Brewery Field, Bridgend 1967–68Davies (1975) p.157 Cardiff Athletic RFC Taibach RFC 27–3 Brewery Field, Bridgend 1968–69 UWIC RFC Penygraig RFC 9–0 Brewery Field, Bridgend 1969–70 UWIC RFC Bridgend Sports RFC 19–8 Brewery Field, Bridgend 1970–71 Senghenydd RFC Nantyffyllon RFC 11–5 Penygraig RFC 1971–72 Senghenydd RFC Beddau RFC 13–12 Penygraig RFC 1972–73 Abercynon RFC Penygraig RFC 10–6 Senghenydd RFC 1973–74 Kenfig Hill RFC Mumbles RFC 3–0 Brewery Field, Bridgend 1974–75 Taffs Well RFC Pyle RFC 9–6 Brewery Field, Bridgend 1975–76 Pyle RFC Abercynon RFC22–11 Old Parish Maesteg 1976–77 Abercynon RFC Llanharan RFC 30–12 Sardis Road, Pontypridd 1977–78 Pyle RFC British Steel RFC 18–3 Talbot Athletic Ground Aberavon 1978–79 Bridgend Sports RFC Llanharan RFC 16–7 Old Parish Maesteg 1979–80 Bridgend Sports RFC Pyle RFC 9–3 Brewery Field, Bridgend 1980–81 Bridgend Sports RFC Cilfynydd RFC 20–9 Brewery Field, Bridgend 1981–82 Aberavon Quins RFC Neath Athletic RFC 22–14 Old Parish Maesteg 1982–83 Swansea Athletic RFC Old Illitydians RFC 17–3 Brewery Field, Bridgend 1983–84 Cilfynydd RFC Seven Sisters RFC12–0 Brewery Field, Bridgend 1984–85 Cilfynydd RFC Nantyffyllon RFC 14–7 Brewery Field, Bridgend 1985–86 St. Peters RFC Rumney RFC 10–9 Cardiff Arms Park Cardiff 1986–87 Tondu RFC Vardre RFC 16–4 Brewery Field, Bridgend 1987–88 Neath Athletic RFC Glamorgan Wanderers A RFC13-12 Brewery Field, Bridgend 1988–89 Llantrisant RFC Bridgend Athletic RFC 35–12 Brewery Field, Bridgend 1989–90 Beddau RFC Maesteg Celtic RFC31–0 Brewery Field, Bridgend 1990–91 Tondu RFC Abercynon RFC16-4Brewery Field, Bridgend 1991–92 Tondu RFCCardiff Quins RFC18–7 Brewery Field, Bridgend 1992–93 Tondu RFC Tonmawr RFC22–14 Brewery Field, Bridgend 1993–94 Llantrisant RFC Glynneath RFC 20–16 Brewery Field, Bridgend 1994–95 Tonyrefail RFC Gilfach Goch RFC 12–10 Brewery Field, Bridgend 1995–96 Resolven RFC Penygraig RFC12–10 Brewery Field, Bridgend 1996–97 Gilfach Goch RFC Treherbert RFC 31–13 Brewery Field, Bridgend 1997–98 Gilfach Goch RFC British Steel RFC 34–22 Sardis Road, Pontypridd 1998–99 Ynysybwl RFC Nantymoel RFC 22–13 Sardis Road, Pontypridd 1999–00 Glamorgan Wanderers RFCBeddau RFC28–21 Brewery Field, Bridgend 2000–01 Maesteg Harlequins RFC Vardre RFC 20–17 Brewery Field, Bridgend 2001–02 British Steel RFC Bridgend Athletic RFC 26–22 Brewery Field, Bridgend 2002–03 Penygraig RFC Pontypridd RFC 30–25 The Dairy Field Llanharan 2003–04 Banwen RFC Maesteg RFC 36–27 Virginia Park, Caerphilly 2004–05 Penallta RFC Rhydyfelin RFC 43–30 Sardis Road, Pontypridd 2005–06 Ynysybwl RFC Tonna RFC 21–14 Sardis Road, Pontypridd 2006–07 Tonmawr RFC Penallta RFC 26–24 Sardis Road, Pontypridd 2007–08 Tonmawr RFC Aberavon Green Stars RFC 50–12 The Dairy Field Llanharan 2008–09 Aberavon Quins RFC Llantwit Fardre RFC 17–3 The Dairy Field Llanharan 2009–10 Tonmawr RFC Tondu RFC 26–15 Brewery Field, Bridgend 2010–11 Maesteg Harlequins RFC Mountain Ash RFC 19–16 Brewery Field, Bridgend 2011–12 Glynneath RFC Maesteg Harlequins RFC 13–10 The Dairy Field Llanharan 2012–13 Bedlinog RFC Tondu RFC 29–10 Brewery Field Bridgend 2013–14 Glynneath RFC Rhiwbina RFC 34–15 Brewery Field Bridgend 2014–15 Penallta RFC Ystrad Rhondda RFC 22–17 Talbot Athletic Ground Aberavon 2015–16 Bedlinog RFC Porth Harlequins RFC 32–15 Talbot Athletic Ground Aberavon 2016–17 Rhydyfelin RFC TonduRFC 17–10 Brewery Field Bridgend 2017–18 Glamorgan Wanderers RFC Maesteg Harlequins RFC 37–32 Brewery Field Bridgend 2018–19 Nantyffyllon RFC Ystalyfera RFC 18–12 Brewery Field Bridgend 2019–20 2020–21 2021–22 2022–23 Morriston RFC Pontarddulais RFC 16–15 Tata RFC Port Talbot 2023–24 Llanharan RFC Abercrave RFC 54–3 Brewery Field Bridgend 2024–25 Beddau RFC Penarth RFC 50–14 Brewery Field Bridgend2025-26Bonymaen RFC Tondu RFC 18-16Brewery Field Bridgend2026-27 RFC RFC 0-0Brewery Field Bridgend

Competition multiple winners Five Wins Glynneath RFC

Four wins Tondu RFC

Three wins Bridgend Sports RFC Tonmawr RFC

Two wins Aberavon Quins RFC Abercynon RFC Beddau RFC Cardiff Athletic Cilfynydd RFC Gilfach Goch RFC Glamorgan Wanderers RFC Llantrisant RFC Llantwit Major RFC Maesteg Harlequins RFC Penallta RFC Pyle RFC Senghenydd RFC UWIC RFC Ynysybwl RFC

References

Bibliography